axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kathy Chan <ka...@ca.ibm.com>
Subject Fw: JARs used in Axis 1.2 for emitter and for generated code
Date Mon, 30 May 2005 19:21:37 GMT
Thanks for the answer!  So the only JARs I need to run the Axis generated 
code are:

>  axis.jar
>  commons-discovery-0.2.jar
>  commons-logging-1.0.4.jar
>  jaxrpc.jar
>  saaj.jar
>  wsdl4j-1.5.1.jar

Then how about to run the Axis emitter (java2wsdl & wsdl2java) and the 
AdminClient?  Do I need all the JARs in the lib directory?  These are the 
JARs in the lib directory of Axis 1.2:

>  activation.jar
>  axis.jar
>  axis-ant.jar
>  commons-discovery-0.2.jar
>  commons-httpclient-3.0-rc2.jar
>  commons-logging-1.0.4.jar
>  jaxrpc.jar
>  log4j-1.2.8.jar
>  mailapi_1_3_1.jar
>  saaj.jar
>  servlet.jar
>  wsdl4j-1.5.1.jar
>  xercesImpl.jar
>  xmlParserAPIs.jar


Regards,

Kathy Chan


----- Forwarded by Kathy Chan/Toronto/IBM on 30/05/2005 03:17 PM -----

Davanum Srinivas <davanum@gmail.com> 
27/05/2005 12:34 PM
Please respond to
axis-user


To
axis-user@ws.apache.org
cc

Subject
Re: JARs used in Axis 1.2 for emitter and for generated code






No. you don't need " axis-ant.jar and log4j-1.2.8.jar " to run the code.

-- dims

On 5/27/05, Kathy Chan <kathy@ca.ibm.com> wrote:
> 
> Hi,
> 
>  I noticed that Axis 1.2 contains a few more JARs in the lib directory 
>  compare to Axis 1.0 and Axis 1.1.  The list of JARs in axis-1_2\lib 
>  directory are:
> 
>  activation.jar
>  axis.jar
>  axis-ant.jar
>  commons-discovery-0.2.jar
>  commons-httpclient-3.0-rc2.jar
>  commons-logging-1.0.4.jar
>  jaxrpc.jar
>  log4j-1.2.8.jar
>  mailapi_1_3_1.jar
>  saaj.jar
>  servlet.jar
>  wsdl4j-1.5.1.jar
>  xercesImpl.jar
>  xmlParserAPIs.jar
> 
>  I would like to find out if all of the above JARs are needed to run the 

>  Axis emitters (java2wsdl / wsdl2java) and the 
>  org.apache.axis.tools.ant.axis.AdminClientTask.
> 
>  Moreover, I would like to find out what are the JARs required to run 
the 
>  code generated by Axis 1.2.
> 
>  The Axis 1.2 Users' Guild stated that the classpath needs to run the 
>  samples are:
> 
>  axis-1_2/lib/axis.jar 
>  axis-1_2/lib/jaxrpc.jar 
>  axis-1_2/lib/saaj.jar 
>  axis-1_2/lib/commons-logging.jar 
>  axis-1_2/lib/commons-discovery.jar 
>  axis-1_2/lib/wsdl4j.jar 
>  axis-1_2/ (for the sample code) 
>  A JAXP-1.1 compliant XML parser such as Xerces or Crimson. We recommend 

>  Xerces, as it is the one that the product has been tested against. 
> 
>  However, the Install Guide said to copy the webapp/axis directory from 
the 
>  xml-axis distribution.  The JARs in the
> Axis-1_2/webapp/axis/WEB-INF/lib 
>  directory are:
> 
>  axis-ant.jar
>  axis.jar
>  commons-discovery-0.2.jar
>  commons-logging-1.0.4.jar
>  jaxrpc.jar
>  log4j-1.2.8.jar
>  saaj.jar
>  wsdl4j-1.5.1.jar
> 
>  So my question is do we need axis-ant.jar and log4j-1.2.8.jar in order 
to 
>  run the code generated from Axis?
> 
>  Regards,
> 
>  Kathy Chan 
> 
> 


-- 
Davanum Srinivas - http://webservices.apache.org/~dims/

Mime
View raw message